-- Werte.lua

print("Lua - Isch spuck uff alle Werte")

TICKBASIS = 480

Schnapplaengen = {}
Schnapplaengen[0x90F0] = TICKBASIS * 4
Schnapplaengen[0x90F1] = TICKBASIS * 2
Schnapplaengen[0x90F2] = TICKBASIS
Schnapplaengen[0x90F3] = TICKBASIS / 2
Schnapplaengen[0x90F4] = TICKBASIS / 4
Schnapplaengen[0x90F5] = TICKBASIS / 8
Schnapplaengen[0x90F6] = TICKBASIS / 16
Schnapplaengen[0x90F7] = 1
Schnapplaengen[0x90F8] = (TICKBASIS * 4) / 3
Schnapplaengen[0x90F9] = (TICKBASIS * 2) / 3
Schnapplaengen[0x90FA] = TICKBASIS / 3
Schnapplaengen[0x90FB] = TICKBASIS / 6
Schnapplaengen[0x90FC] = TICKBASIS / 12
Schnapplaengen[0x90FD] = TICKBASIS / 24
Schnapplaengen[0x90FE] = TICKBASIS * 3
Schnapplaengen[0x90FF] = TICKBASIS + TICKBASIS / 2
Schnapplaengen[0x9100] = TICKBASIS / 2 + TICKBASIS / 4
Schnapplaengen[0x9101] = TICKBASIS / 4 + TICKBASIS / 8
Schnapplaengen[0x9102] = TICKBASIS / 8 + TICKBASIS / 16
Schnapplaengen[0x9103] = TICKBASIS / 16 + TICKBASIS / 32

Schnapplaenge = function(x) 
	a = Schnapplaengen[x] 
	if a == nil then a = 100 end
	return a 
end

Quantvalids =  {
	0x90F0,
	0x90F1,
	0x90F8,
	0x90FE,
	0x90F2,
	0x90F9,
	0x90FF,
	0x90F3,
	0x90FA,
	0x9100,
	0x90F4,
	0x90FB,
	0x9101,
	0x90F5,
	0x90FC,
	0x9102
}

Quantlaenge = function(x) return Schnapplaengen[Quantvalids[x + 1]] end

Tonartcodes = {
0x0000,
0x0100,
0x0200,
0x0300,
0x0400,
0x0500,
0x0600,
0x0700,
0xFF00,
0xFE00,
0xFD00,
0xFC00,
0xFB00,
0xFA00,
0xF900,
0x0001,
0x0101,
0x0201,
0x0301,
0x0401,
0x0501,
0x0601,
0x0701,
0xFF01,
0xFE01,
0xFD01,
0xFC01,
0xFB01,
0xFA01,
0xF901
}

Tonartcode = function(x) return Tonartcodes[x + 1] end

Tonartindices = {}
Tonartindices[0x0000] = 0
Tonartindices[0x0100] = 1
Tonartindices[0x0200] = 2
Tonartindices[0x0300] = 3
Tonartindices[0x0400] = 4
Tonartindices[0x0500] = 5
Tonartindices[0x0600] = 6
Tonartindices[0x0700] = 7
Tonartindices[0xFF00] = 8
Tonartindices[0xFE00] = 9
Tonartindices[0xFD00] = 10
Tonartindices[0xFC00] = 11
Tonartindices[0xFB00] = 12
Tonartindices[0xFA00] = 13
Tonartindices[0xF900] = 14
Tonartindices[0x0001] = 15
Tonartindices[0x0101] = 16
Tonartindices[0x0201] = 17
Tonartindices[0x0301] = 18
Tonartindices[0x0401] = 19
Tonartindices[0x0501] = 20
Tonartindices[0x0601] = 21
Tonartindices[0x0701] = 22
Tonartindices[0xFF01] = 23
Tonartindices[0xFE01] = 24
Tonartindices[0xFD01] = 25
Tonartindices[0xFC01] = 26
Tonartindices[0xFB01] = 27
Tonartindices[0xFA01] = 28
Tonartindices[0xF901] = 29

Tonartindex = function(x) return Tonartindices[x] end

